termios(7)

NAME
termios - terminal input/output settings

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <termios.h>

DESCRIPTION
The termios functions describe a general terminal interface that is provided to control asynchronous communications ports.

  Retrieving and changing terminal settings

tcgetattr(3)
tcsetattr(3)

  Canonical and noncanonical mode
See termios(3type).

  Raw mode

cfmakeraw(3)

  Line control

tcsendbreak(3)
tcdrain(3)
tcflush(3)
tcflow(3)

  Line speed

cfgetospeed(3)
cfsetospeed(3)
cfgetispeed(3)
cfsetispeed(3)
cfsetspeed(3)

STANDARDS
POSIX.1-2024.

HISTORY
POSIX.1-2001, BSD.

SEE ALSO
reset(1), setterm(1), stty(1), tput(1), tset(1), tty(1), ioctl_console(2), ioctl_tty(2), cc_t(3type), speed_t(3type), tcflag_t(3type), setserial(8)